
# Internationalization

The default language is English as of yet.
If you want to use other languages, you can follow the instructions below.

## LocaleProvider

ant-design-vue provides a Vue Component [LocaleProvider](/ant-design-vue/components/locale-provider) for configuring ant-design-vue locale text globally.

````html
<template>
  <a-locale-provider :locale="locale">
    <App />
  </a-locale-provider>
</template>

<script>
import zhCN from 'ant-design-vue/lib/locale-provider/zh_CN';
export default {
  data() {
    return {
      locale: zhCN,
    }
  }
}
</script>
````

Note: `fr_FR` is the filename, follow below.

Supported languages:

|Language|Filename|
|---|---|
|Arabic|ar_EG|
|Bulgarian|bg_BG|
|Catalan|ca_ES|
|Czech|cs_CZ|
|German|de_DE|
|Greek|el_GR|
|English (Global)|en_GB|
|English|en_US|
|Spanish|es_ES|
|Estonian|et_EE|
|Persian|fa_IR|
|Finnish|fi_FI|
|French (Belgium)|fr_BE|
|French (France)|fr_FR|
|Italian|it_IT|
|Icelandic|is_IS|
|Japanese|ja_JP|
|Korean|ko_KR|
|Norwegian|nb_NO|
|Dutch (Belgium)|nl_BE|
|Dutch|nl_NL|
|Polish|pl_PL|
|Portuguese (Brazil)|pt_BR|
|Portuguese|pt_PT|
|Slovak|sk_SK|
|Serbian|sr_RS|
|Slovenian|sl_SI|
|Swedish|sv_SE|
|Thai|th_TH|
|Turkish|tr_TR|
|Russian|ru_RU|
|Ukrainian|uk_UA|
|Vietnamese|vi_VN|
|Chinese (Simplified)|zh_CN|
|Chinese (Traditional)|zh_TW|

See usage and ways to contribute a new locale package at [LocaleProvider](/ant-design-vue/components/locale-provider).

